<?php
            
/*! \class CMantisImportUserIHM 
    \brief Cette classe  pour rle de grer l'IHM du plugin.
*/
class CMantisImportUserIHM
{
    private $szLdap_Server;       /*!< Chaine de caractres contenant l'adresse du serveur LDAP.*/
    private $iLdap_Port;          /*!< Entier contenant le port du service LDAP.*/ 
    private $szLdap_Bind_Dn;      /*!< Chaine de caractres contenant l'identifiant avec lequel on s'authentifie auprs du service LDAP.*/
    private $szLdap_Pwd;          /*!< Chaine de caractres contenant le mot de passe pour se connecter au service LDAP.*/
    private $szLdap_Dn;           /*!< Chaine de caractres contenant un chemin valide de l'annuaire LDAP.*/
    private $szLdap_Filter;       /*!< Chaine de caractres contenant le filtre li  la recherche LDAP.*/
    private $aListMantisUsers;    /*!< Tableau d'objets CMantisUser.*/
    private $szDefautEmailUser;   /*!< Chaine de caractres contenant l'adresse e-mail par dfaut des utilisateurs  crer.*/ 
    private $iNbLetters_Mask_Right_UserName;    /*!< Entier contenant le nombre de lettres  supprimer  partir du dbut du nom complet de l'utilisateur.*/
    private $iNbLetters_Mask_Left_UserName;     /*!< Entier contenant le nombre de lettres  supprimer  partir de la fin du nom complet de l'utilisateur.*/
    private $szDefautPwdUser;             /*!< Chaine de caractre contenant le mot de passe par dfaut des utilisateurs  crer.*/ 
    private $iAccessLevel;         /*!< Entier correspondant au niveau d'accs des utilisateurs cres.*/      
    
    /*! \fn __construct($aServer_Parameters,$aSearch_Parameters,$aUser_Parameters) 
        \brief Constructeur : nous permet d'initaliser nos diffrents attributs.
        \param $aServer_Parameters Tableau de chaines de caractres contenant les paramtres serveurs (adresse du serveur, port, bind dn, mot de passe).
        \param $aSearch_Parameters Tableau de chaines de caractres contenant les paramtres de recherche (dn, filtre).
        \param $aUser_Parameters Tableau de chaines de caractres contenant les paramtres lis  la cration du compte utilisateur (mot de passe,e-mail,troncage  gauche/droite, niveau d'accs).
    */
    function __construct($aServer_Parameters,$aSearch_Parameters,$aUser_Parameters)
    {
        if(isset($aServer_Parameters) && isset($aSearch_Parameters) && is_array($aServer_Parameters) && is_array($aSearch_Parameters))
        {
            $this->szLdap_Server  = $aServer_Parameters[0];
            $this->iLdap_Port     = $aServer_Parameters[1];
            $this->szLdap_Bind_Dn = $aServer_Parameters[2];
            $this->szLdap_Pwd     = $aServer_Parameters[3];  
           
            $this->szLdap_Dn      = $aSearch_Parameters[0];
            $this->szLdap_Filter  = $aSearch_Parameters[1];
            
            $this->szDefautEmailUser              = $aUser_Parameters[0];
            $this->szDefautPwdUser                = $aUser_Parameters[1];
            $this->iNbLetters_Mask_Left_UserName  = $aUser_Parameters[2];
            $this->iNbLetters_Mask_Right_UserName = $aUser_Parameters[3];
            $this->iAccessLevel                   = $aUser_Parameters[4]; 

            $athis->ListMantisUsers = array();
            
            //Vrification de l'initialisation des attributs  caractre obligatoire.
            if(!(isset($this->szLdap_Server) && isset($this->iLdap_Port) && isset($this->szLdap_Bind_Dn) && isset($this->szLdap_Dn) && isset($this->szLdap_Filter)))
            {
                trigger_error( ERROR_MANTISIMPORTUSER_CONSTRUCTOR_PARAMETERS_NULL, ERROR );
            }
        }
        else
        {
            trigger_error( ERROR_MANTISIMPORTUSER_CONSTRUCTOR_PARAMETERS_NULL, ERROR );
        }
    }
    
    /*! \fn display_search_form_ldap($szCall_js, $szTitle_Search = MANTIS_IMPORTUSER_TITLE_DFT_SEARCH_FORM, $szFieldset_Color = MANTIS_IMPORTUSER_COLOR_DEFAULT_RGB, $aLabel_Server_Parameters, $aLabel_Search_Parameters, $szButton_Label= MANTIS_IMPORTUSER_LABEL_DFT_BTN_FORM) 
        \brief Mthode permettant d'afficher le formulaire de recherche.
        \param $szCall_js Chaine de caractres contenant le nom d'une fonction javascript permettant de vrifier si certains champs obligatoires de la recherche sont bien spcifis.
        \param $szTitle_Search Chaine de caractres contenant le titre de notre module de recherche.
        \param $szFieldset_Color Chaine de caractres contenant le code de couleur de la premire zone du formulaire. Le format du code est le suivant : 255 255 240. Par dfaut, cette valeur est slectionne.
        \param $aLabel_Server_Parameters Tableau de chaines de caractres contenant les diffrents labels de la premire zone du formulaire.
        \param $aLabel_Search_Parameters Tableau de chaines de caractres contenant les diffrents labels de la seconde zone du formulaire.
        \param $szButton_Label Chaine de caractre contenant le label du bouton de validation. 
    */
    public function display_search_form_ldap($szCall_js, $szTitle_Search = MANTIS_IMPORTUSER_TITLE_DFT_SEARCH_FORM, $szFieldset_Color = MANTIS_IMPORTUSER_COLOR_DEFAULT_RGB, $aLabel_Server_Parameters, $aLabel_Search_Parameters, $szButton_Label= MANTIS_IMPORTUSER_LABEL_DFT_BTN_FORM)
    {
        if(isset($aLabel_Server_Parameters) && isset($aLabel_Search_Parameters) && is_array($aLabel_Server_Parameters) && is_array($aLabel_Search_Parameters))
        {
            $bFlagServ = true;
            for($i=0; $i<count($aLabel_Server_Parameters); $i++)
            {
                if($i != 4)
                {
                    if(!(isset($aLabel_Server_Parameters[$i])))
                    {
                        $bFlagServ = false;
                    }
                }
            }
            
            $bFlagSearch = true;
            for($i=0; $i<count($aLabel_Search_Parameters); $i++)
            {
                if(!(isset($aLabel_Search_Parameters[$i])))
                {
                    $bFlagSearch = false;
                }
            }
            
            if($bFlagServ &&  $bFlagSearch)
            {
                echo "<form name='config_form' method=\"post\" action= '".plugin_page(MANTIS_IMPORTUSER_FORM_NAME)."' onsubmit='".$szCall_js."'>";
                    
                echo '<h3 id="search">'.$szTitle_Search.' </h3>';
                echo '<fieldset style="background-color:rgb('.$szFieldset_Color.');">';
                echo '<legend>'.$aLabel_Server_Parameters[0].'</legend>';
                echo '<p>';
                echo '<label for="'.MANTIS_IMPORTUSER_POST_LDAPSERVER.'">'.$aLabel_Server_Parameters[1].'</label>';
                echo '<input type="text" id="'.MANTIS_IMPORTUSER_POST_LDAPSERVER.'"   name="'.MANTIS_IMPORTUSER_POST_LDAPSERVER.'" value="'.$this->szLdap_Server.'"/>';  
                echo '<label for="'.MANTIS_IMPORTUSER_POST_LDAPPORT.'">'.$aLabel_Server_Parameters[2].'</label>';
                echo '<input type="text" id="'.MANTIS_IMPORTUSER_POST_LDAPPORT.'"     name="'.MANTIS_IMPORTUSER_POST_LDAPPORT.'"   value="'.$this->iLdap_Port.'"/>';    
                echo '<label for="'.MANTIS_IMPORTUSER_POST_LDAPBINDDN.'">'.$aLabel_Server_Parameters[3].'</label>';
                echo '<input type="text" id="'.MANTIS_IMPORTUSER_POST_LDAPBINDDN.'"   name="'.MANTIS_IMPORTUSER_POST_LDAPBINDDN.'" value="'.$this->szLdap_Bind_Dn.'"/>';       
                echo '<label for="'.MANTIS_IMPORTUSER_POST_LDAPMDP.'">'.$aLabel_Server_Parameters[4].'</label>';
                echo '<input type="password" id="'.MANTIS_IMPORTUSER_POST_LDAPMDP.'" name="'.MANTIS_IMPORTUSER_POST_LDAPMDP.'"     value="'.$this->szLdap_Pwd.'"/>';    
                echo '</p>';
                echo '</fieldset>';
                echo '<br/>';
                echo '<br/>';
                echo '<br/>';
                echo '<fieldset style="background-color:rgb('.$szFieldset_Color.');">';
                echo '<legend>'.$aLabel_Search_Parameters[0].'</legend>';
                echo '<p>'; 
                echo '<label for="'.MANTIS_IMPORTUSER_POST_LDAPDN.'">'.$aLabel_Search_Parameters[1].'</label>';
                echo '<input type="text" id="'.MANTIS_IMPORTUSER_POST_LDAPDN.'"     name="'.MANTIS_IMPORTUSER_POST_LDAPDN.'"     value="'.$this->szLdap_Dn.'"/>';    
                echo '<label for="'.MANTIS_IMPORTUSER_POST_LDAPFILTER.'">'.$aLabel_Search_Parameters[2].'</label>';
                echo '<input type="text" id="'.MANTIS_IMPORTUSER_POST_LDAPFILTER.'" name="'.MANTIS_IMPORTUSER_POST_LDAPFILTER.'" value="'.$this->szLdap_Filter.'"/>';
                echo '</p>'; 
                echo '</fieldset>';
                echo '<br/>';
                echo '<br/>';
                echo '<br/>';
                $this->display_options_config_username(array(lang_get('plugin_'.MANTIS_IMPORTUSER_REGISTER_NAME.'_'.MANTIS_IMPORTUSER_LANG_USERNAMEPARAMETERS),lang_get('plugin_'.MANTIS_IMPORTUSER_REGISTER_NAME.'_'.MANTIS_IMPORTUSER_LANG_USERNAMELEFTMASK), lang_get('plugin_'.MANTIS_IMPORTUSER_REGISTER_NAME.'_'.MANTIS_IMPORTUSER_LANG_USERNAMERIGHTMASK)),MANTIS_IMPORTUSER_COLOR_DEFAULT_RGB);
                echo '<p><input type="submit" value="'.$szButton_Label.'" /></p>';
                
                echo '</form>';
            }
            else
            {
                trigger_error( ERROR_MANTISIMPORTUSER_DISPLAYSEARCHFORMLDAP_PARAMETERS_NULL, ERROR );
            } 
        }
        else
        {
            trigger_error( ERROR_MANTISIMPORTUSER_DISPLAYSEARCHFORMLDAP_PARAMETERS_NULL, ERROR );
        } 
    }
    
    /*! \fn display_options_config_username($szLabel_Username_Parameters,$szFieldset_Color)
        \brief Mthode permettant d'afficher une zone compose de champs relatifs  la modification du nom d'utilisateur.
    */
    private function display_options_config_username($szLabel_Username_Parameters,$szFieldset_Color)
    {
        if(isset($szLabel_Username_Parameters) && is_array($szLabel_Username_Parameters))
        {
            echo '<fieldset style="background-color:rgb('.$szFieldset_Color.');">';
            echo '<legend>'.$szLabel_Username_Parameters[0].'</legend>';
            echo '<p>'; 
            echo '<label for="'.MANTIS_IMPORTUSER_POST_LEFTMASKUSER.'">'.$szLabel_Username_Parameters[1].'</label>';
            echo '<input type="text" id="'.MANTIS_IMPORTUSER_POST_LEFTMASKUSER.'" name="'.MANTIS_IMPORTUSER_POST_LEFTMASKUSER.'" value="'.$this->iNbLetters_Mask_Left_UserName.'"/>';
            echo '<label for="'.MANTIS_IMPORTUSER_POST_RIGHTMASKUSER.'">'.$szLabel_Username_Parameters[2].'</label>';
            echo '<input type="text" id="'.MANTIS_IMPORTUSER_POST_RIGHTMASKUSER.'" name="'.MANTIS_IMPORTUSER_POST_RIGHTMASKUSER.'" value="'.$this->iNbLetters_Mask_Right_UserName.'"/>';  
            echo '</p>'; 
            echo '</fieldset>';
        }
        else
        {
            trigger_error( ERROR_MANTISIMPORTUSER_DISPLAYOPTIONSCONFIGUSERNAME_PARAMETERS_NULL, ERROR );
        } 
    }
    
    /*! \fn display_option_create_user($aLabel_User_Parameters,$szFieldset_Color,$szJs_Verif_Input='#')
        \brief Mthode permettant d'afficher une zone compose de champs relatifs  la cration d'utilisateur.
    */
    private function display_option_create_user($aLabel_User_Parameters,$szFieldset_Color,$szJs_Verif_Input='#')
    {
        if(isset($aLabel_User_Parameters) && is_array($aLabel_User_Parameters))
        {
             $aAccessLevels = CMantisUser::getAllAccessLevels();
             
             echo '<fieldset style="background-color:rgb('.$szFieldset_Color.');">';
             echo '<legend>'.$aLabel_User_Parameters[0].'</legend>';
             echo '<p>'; 
             echo '<label for="'.MANTIS_IMPORTUSER_POST_EMAILUSER.'">'.$aLabel_User_Parameters[1].'</label>';
             echo '<input type="text" id="'.MANTIS_IMPORTUSER_POST_EMAILUSER.'"   name="'.MANTIS_IMPORTUSER_POST_EMAILUSER.'" value="'.$this->szDefautEmailUser.'" onblur="'.$szJs_Verif_Input.'"/>';    
             echo '<label for="'.MANTIS_IMPORTUSER_POST_PWDUSER.'">'.$aLabel_User_Parameters[2].'</label>';
             echo '<input type="password" id="'.MANTIS_IMPORTUSER_POST_PWDUSER.'" name="'.MANTIS_IMPORTUSER_POST_PWDUSER.'" value="'.$this->szDefautPwdUser.'"/>';
             echo '<label for="'.MANTIS_IMPORTUSER_POST_LEVEL.'">'.$aLabel_User_Parameters[3].'</label>';
             echo '<select id="'.MANTIS_IMPORTUSER_POST_LEVEL.'" name="'.MANTIS_IMPORTUSER_POST_LEVEL.'">';
             for($i=0; $i<count($aAccessLevels[0]); $i++)
             {
                echo '<option value="'.$aAccessLevels[1][$i].'">'.$aAccessLevels[0][$i].'</option>';  
             } 
             echo '</select>';
             echo '</p>';
             echo '</fieldset>';
        }
        else
        {
            trigger_error( ERROR_MANTISIMPORTUSER_DISPLAYOPTIONSCREATEUSERNAME_PARAMETERS_NULL, ERROR );
        }
         
    } 
    
    /*! \fn display_link_select_search($aFirst_Select,$aSecond_Select,$link_color=MANTIS_IMPORTUSER_COLOR_GREEN)
        \brief Mthode permettant d'afficher deux liens. Ces liens permettent de d/slectionner tous les lements du rsultat de la recherche.
        \param $aFirst_Select Tableau de chaines de caractres contenant le nom du premier lien et le nom de la fonction javascript  excute.
        \param $aSecond_Select Tableau de chaines de caractres contenant le nom du second lien et le nom de la fonction javascript  excute.  
        \param $link_color Chaine de caractres contenant le code de couleur des deux liens. Le format du code est le suivant : green. Par dfaut, cette valeur est slectionne.
    */
    public function display_link_select_search($aFirst_Select,$aSecond_Select,$link_color=MANTIS_IMPORTUSER_COLOR_GREEN)
    {
        if(isset($aFirst_Select) && isset($aSecond_Select) && is_array($aFirst_Select) && is_array($aSecond_Select))
        {
            $bFlagFirst = true;
            for($i=0; $i<count($aFirst_Select); $i++)
            {
                    if(!(isset($aFirst_Select[$i])))
                    {
                        $bFlagFirst = false;
                    }
            }
            
            $bFlagSecond = true;
            for($i=0; $i<count($aSecond_Select); $i++)
            {
                if(!(isset($aSecond_Select[$i])))
                {
                    $bFlagSecond = false;
                }
            }
            
            if($bFlagFirst &&  $bFlagSecond)
            {
                echo "<a href='#' style='color:".$link_color."' onclick='".$aFirst_Select[1]."'>".$aFirst_Select[0]."</a> / <a href='#' style='color:".$link_color."' onclick='".$aSecond_Select[1]."'>".$aSecond_Select[0]."</a>";
            }
            else
            {
                trigger_error( ERROR_MANTISIMPORTUSER_DISPLAYLINKSELECTSEARCH_PARAMETERS_NULL, ERROR );
            }
        }
        else
        {
            trigger_error( ERROR_MANTISIMPORTUSER_DISPLAYLINKSELECTSEARCH_PARAMETERS_NULL, ERROR );
        }    
    }
    
    /*! \fn display_result_from_search($aResult, $aAnchors, $aAlready_Exist, $szLabel_Button=MANTIS_IMPORTUSER_LABEL_DFT_BTN_FORM, $aLabel_Another_Search=MANTIS_IMPORTUSER_LABEL_DFT_LINK_FORM, $szCall_js='#')
        \brief Mthode permettant d'afficher le rsultat de la recherche.
        \param $aResult Tableau contenant le rsultat de la recherche.
        \param $aAnchors Tableau de chaines de caractres contenant le nom des deux ancres et leur couleur. Le format du code est le suivant : blue.  
        \param $aAlready_Exist Chaine de caractres contenant un message spcifiant que l'utilisateur est dj cre.
        \param $szLabel_Button Chaine de caractres contenant le label du bouton de cration d'utilisateurs.
        \param $aLabel_Another_Search Chaine de caractres contenant un message notifiant que la recherche n'a retourn aucun rsultat.
        \param $szCall_js Chaine de caractres contenant le nom de la fonction javascript qui vrifie le formulaire.  
    */
    public function display_result_from_search($aResult, $aAnchors, $aAlready_Exist, $szLabel_Button=MANTIS_IMPORTUSER_LABEL_DFT_BTN_FORM, $aLabel_Another_Search=MANTIS_IMPORTUSER_LABEL_DFT_LINK_FORM, $szCall_js='#')
    {
        if(isset($aResult) && isset($aAnchors) && isset($aAlready_Exist) && is_array($aResult) && is_array($aAnchors) && is_array($aAlready_Exist))
        {
            $bFlagAnchors = true;
            for($i=0; $i<count($aAnchors); $i++)
            {
                    if(!(isset($aAnchors[$i])))
                    {
                        $bFlagAnchors = false;
                    }
            }
            
            $bFlagExist = true;
            for($i=0; $i<count($aAlready_Exist); $i++)
            {
                if(!(isset($aAlready_Exist[$i])))
                {
                    $bFlagExist = false;
                }
            }
            
            echo '<form name="users_form" method="post" action="'.plugin_page(MANTIS_IMPORTUSER_FORMSUBMIT_NAME).'" onsubmit="return '.$szCall_js.'()">'; 
            echo '<p><a href="#create" style="color:'.$aAnchors[2].';">'.$aAnchors[0].'</a></p>';     
            echo '<table border="1px">';
            echo '<caption>'.$aResult[MANTIS_IMPORTUSER_COUNT_RESULT].' '.lang_get('plugin_'.MANTIS_IMPORTUSER_REGISTER_NAME.'_'.MANTIS_IMPORTUSER_LANG_RESULTS).'</caption>'; 
            
            if($aResult[MANTIS_IMPORTUSER_COUNT_RESULT] > 0)
            {
                echo '<tr>';
                echo '<td> '.lang_get('plugin_'.MANTIS_IMPORTUSER_REGISTER_NAME.'_'.MANTIS_IMPORTUSER_LANG_TITLE_USERNAME).'</td>';
                echo '<td> '.lang_get('plugin_'.MANTIS_IMPORTUSER_REGISTER_NAME.'_'.MANTIS_IMPORTUSER_LANG_TITLE_USERSTATE).'</td>';                        
                echo '</tr>';
                
                for($i=0; $i<$aResult[MANTIS_IMPORTUSER_COUNT_RESULT]; $i++)
                { 
                    $MyMantisUser = new CMantisUser($aResult[$i]["cn"][0], $aResult[$i]["sn"][0],$this->iNbLetters_Mask_Right_UserName,$this->iNbLetters_Mask_Left_UserName);
                    $this->aListMantisUsers[$i] =  $MyMantisUser;
                    $MyName =  $MyMantisUser->getName();
                    
                    echo '<tr>';
                    echo '<td>     '.$MyName.'      </td>';
                    if(!(user_is_name_unique($MyName)))
                    {
                        echo '<td><font style="color:'.$aAlready_Exist[1].'">'.$aAlready_Exist[0].'</font></td>';
                    }
                    else
                    {
                         echo '<td><input type="checkbox" name="'.MANTIS_IMPORTUSER_PREFIX_INPUT.$MyName.'" id="'.MANTIS_IMPORTUSER_PREFIX_INPUT.$MyName.$i.'" value="'.MANTIS_IMPORTUSER_CHECKBOX_CHECKED.'"/></td>'; 
                    } 
                    echo '</tr>';
                }
                $_SESSION[MANTIS_IMPORTUSER_NAME_LISTS] = serialize($this->aListMantisUsers);
            }
            else
            {
                echo '<tr>';
                echo '<td>'.$aLabel_Another_Search.'</td>';
                echo '</tr>';
            } 
            echo '</table>';
            echo '<br/>';
            echo '<br/>';       
            $this->display_option_create_user(array(lang_get('plugin_'.MANTIS_IMPORTUSER_REGISTER_NAME.'_'.MANTIS_IMPORTUSER_LANG_USERPARAMETERS), lang_get('plugin_'.MANTIS_IMPORTUSER_REGISTER_NAME.'_'.MANTIS_IMPORTUSER_LANG_USERMAIL), lang_get('plugin_'.MANTIS_IMPORTUSER_REGISTER_NAME.'_'.MANTIS_IMPORTUSER_LANG_USERPWD), lang_get('plugin_'.MANTIS_IMPORTUSER_REGISTER_NAME.'_'.MANTIS_IMPORTUSER_LANG_USERLEVEL)),MANTIS_IMPORTUSER_COLOR_DEFAULT_RGB, MANTIS_IMPORTUSER_JS_VERIF_INPUT_EMAIL);   
            
            //Affichage d'un lien pointant vers le bas de la page
            echo'<p><a href="#search" style="color:'.$aAnchors[2].';">'.$aAnchors[1].'</a></p>';                
            echo '<p id="create"><input type="submit" value="'.$szLabel_Button.'" /></p>';
            echo '</form>'; 
        } 
        else
        {
            trigger_error( ERROR_MANTISIMPORTUSER_DISPLAYRESULTFROMSEARCH_PARAMETERS_NULL, ERROR );
        }  
    }
    
    /*! \fn display_result_message($szMessage, $iTitleLevel=3,$szColor=MANTIS_IMPORTUSER_COLOR_BLACK)
        \brief Mthode statique permettant d'afficher un message indiquant que la cration de l'utilisateur s'est effectue avec succs.
        \param $szMessage    Chaine de caractres contenant le message a afficher.
        \param $iTitleLevel  Entier contenant le niveau de titre (h1,h2,h3 etc...).  Par dfaut, le niveau est de 3.
        \param $szColor      Chaine de caractres dsignant la couleur du titre. Par dfaut, cette couleur est noire.   
    */   
    public static function display_result_message($szMessage, $iTitleLevel,$szColor=MANTIS_IMPORTUSER_COLOR_BLACK)
    {
        if(isset($szMessage) &&  isset($iTitleLevel) && isset($szColor))
        {
            echo "<h".$iTitleLevel." style='color:".$szColor."'> ".$szMessage." </h".$iTitleLevel.">"; 
        }
        else
        {
            trigger_error( ERROR_MANTISIMPORTUSER_DISPLAYRESULTMESSAGE_PARAMETERS_NULL, ERROR ); 
        }   
    }
    
    /*! \fn display_link_back_search($szLink, $szMessage, $szColor=MANTIS_IMPORTUSER_COLOR_BLACK)
        \brief Mthode statique permettant d'afficher un lien vers le formulaire de recherche.
        \param $szLink    Chaine de caractres contenant le lien vers le formulaire de recherche.
        \param $szMessage Chaine de caractres contenant le message associ au lien. 
        \param $szColor   Chaine de caractres dsignant la couleur du lien. Par dfaut, cette couleur est noire.   
    */    
    public static function display_link_back_search($szLink, $szMessage, $szColor=MANTIS_IMPORTUSER_COLOR_BLACK)
    {
        if(isset($szLink) &&  isset($szMessage) && isset($szColor))
        {
            echo "<a href='".$szLink."' style='color:".$szColor.";'>[ ".$szMessage." ]</a>";  
        }
        else
        {
            trigger_error( ERROR_MANTISIMPORTUSER_DISPLAYLINKBACKSEARCH_PARAMETERS_NULL, ERROR ); 
        }
    } 
    
    /*! \fn display_start_div_align($szAlign)
        \brief Mthode statique permettant d'afficher une balise HTML DIV accompagn d'un attribut d'alignement.
        \param $szAlign Chaine de caractres contenant l'attribut d'alignement.
    */
    public static function display_start_div_align($szAlign)
    {
        if(isset($szAlign) && is_string($szAlign)) 
        {
            if($szAlign === "left" || $szAlign === "right" || $szAlign === "center")
            {
                echo '<div align="'.$szAlign.'">'; 
            }
            else
            {
                trigger_error( ERROR_MANTISIMPORTUSER_DISPLAYSTARTDIVALIGN_NOT_VALID, ERROR ); 
            }
        }
        else
        {
            trigger_error( ERROR_MANTISIMPORTUSER_DISPLAYSTARTDIVALIGN_PARAMETERS_NULL, ERROR ); 
        }
    } 
    
    /*! \fn display_end_div() 
        \brief Mthode statique permettant d'afficher une balise HTML DIV fermante.
    */
    public static function display_end_div()
    {
        echo "</div>";  
    }         
}

?>
