<?php

/*! \class CMantisUser 
    \brief Cette classe  pour rle de modliser un utilisateur Mantis.
*/
class CMantisUser
{
    private $szName;                   /*!< Chaine de caractres contenant le nom tronqu de l'utilisateur.*/ 
    private $szRealName;               /*!< Chaine de caractres contenant le vrai nom de l'utilisateur.*/
    private $szEmail;                  /*!< Chaine de caractres contenant l'adresse e-mail de l'utilisateur.*/
    private $iAccessLevel;             /*!< Entier contenant le niveau d'accs de l'utilisateur.*/
    private $bProtected;               /*!< Boolen indiquant si le compte de l'utilisateur devra tre protg.*/
    private $bEnabled;                 /*!< Boolen indiquant si le compte de l'utilisateur devra tre activ ds sa cration.*/
    private $szAdminName;              /*!< Chaine de caractres contenant le nom de l'administrateur ayant cre le compte utilisateur.*/
    private $szMotdePasse;             /*!< Chaine de caractre contenant le mot de passe de l'utilisateur.*/
    private $szLdapUserName;           /*!< Chaine de caractres contenant l'identifiant complet d'un utilisateur de l'annuaire.*/
    private $iNbLetters_Mask_Right;    /*!< Entier contenant le nombre de lettres  supprimer  partir de la fin du mot.*/
    private $iNbLetters_Mask_Left;     /*!< Entier contenant le nombre de lettres  supprimer  partir du dbut du mot.*/
    
     /*!\fn function __construct($szLdapUserName,  $szRealName, $iNbLetters_Mask_Right=MANTIS_IMPORTUSER_LANT_DFT_NBLETTERS_MASK_RIGHT, $iNbLetters_Mask_Left=MANTIS_IMPORTUSER_LANG_DFT_NBLETTERS_MASK_LEFT, $iAccessLevel=MANTIS_IMPORTUSER_LANG_DFT_LEVEL, $szEmail =MANTIS_IMPORTUSER_LANG_DFT_USEREMAIL, $szMotdePasse=MANTIS_IMPORTUSER_LANG_DFT_USERMDP, $bProtected=MANTIS_IMPORTUSER_LANG_DFT_USERPROTECTED, $bEnabled=MANTIS_IMPORTUSER_LANG_DFT_USERENABLED, $szAdminName=MANTIS_IMPORTUSER_LANG_DFT_USERADMINNAME)         
        \brief Constructeur : Nous permet d'initaliser nos diffrents attributs.
        \param $szLdapUserName          Chaine de caractres contenant l'identifiant complet d'un utilisateur de l'annuaire.
        \param $szRealName              Chaine de caractres contenant le vrai nom de l'utilisateur.
        \param $iNbLetters_Mask_Right   Entier contenant le nombre de lettres  supprimer  partir de la fin du mot. Par dfaut, cette valeur est  zro.  
        \param $iNbLetters_Mask_Left    Entier contenant le nombre de lettres  supprimer  partir du dbut du mot. Par dfaut, cette variable est  zro.
        \param $iAccessLevel            Entier contenant le niveau d'accs de l'utilisateur. Par dfaut, cette variable  10 (niveau le plus bas).
        \param $szMotdePasse            Chaine de caractre contenant le mot de passe de l'utilisateur. Par dfaut, cette variable est une chaine vide.
        \param $szEmail                 Chaine de caractres contenant l'adresse e-mail de l'utilisateur. Par dfaut, cette variable est uen chaine vide.
        \param $bProtected              Boolen indiquant si le compte de l'utilisateur devra tre protg. Par dfaut, cette variable est  false (protg).
        \param $bEnabled                Boolen indiquant si le compte de l'utilisateur devra tre activ ds sa cration. Par dfaut, cette variable est  true.                                                                                                                                                                                                        
        \param $szAdminName             Chaine de caractres contenant le nom de l'administrateur ayant cre le compte utilisateur. Par dfaut, cette variable est une chaine vide. 
    */
    public function __construct($szLdapUserName,  $szRealName, $iNbLetters_Mask_Right=MANTIS_IMPORTUSER_LANT_DFT_NBLETTERS_MASK_RIGHT, $iNbLetters_Mask_Left=MANTIS_IMPORTUSER_LANG_DFT_NBLETTERS_MASK_LEFT, $iAccessLevel=MANTIS_IMPORTUSER_LANG_DFT_LEVEL, $szEmail =MANTIS_IMPORTUSER_LANG_DFT_USEREMAIL, $szMotdePasse=MANTIS_IMPORTUSER_LANG_DFT_USERMDP, $bProtected=MANTIS_IMPORTUSER_LANG_DFT_USERPROTECTED, $bEnabled=MANTIS_IMPORTUSER_LANG_DFT_USERENABLED, $szAdminName=MANTIS_IMPORTUSER_LANG_DFT_USERADMINNAME)
    {
        if(isset($szEmail) &&   isset($iAccessLevel) &&    isset($bProtected) &&    isset($bEnabled) &&    isset($szAdminName) &&    isset($szMotdePasse) &&    isset($szLdapUserName) &&    isset($szRealName) &&    isset($iNbLetters_Mask_Right) &&    isset($iNbLetters_Mask_Left))
        {      
            $this->szEmail          =  $szEmail;
            $this->iAccessLevel     =  $iAccessLevel;      
            $this->bProtected       =  $bProtected;
            $this->bEnabled         =  $bEnabled;
            $this->szAdminName      =  $szAdminName;
            $this->szMotdePasse     =  $szMotdePasse;
            
            $this->szLdapUserName           =  $szLdapUserName;
            $this->szRealName               =  $szRealName;
            $this->iNbLetters_Mask_Right    =  $iNbLetters_Mask_Right;
            $this->iNbLetters_Mask_Left     =  $iNbLetters_Mask_Left; 
            
            $this->Initialize_Name();
        }
        else
        {
            trigger_error( ERROR_MANTISIMPORTUSER_CONSTRUCTOR_PARAMETERS_NULL, ERROR );
        } 
    }
       
    /*! \fn CreateMantisUser()
        \brief Mthode permettant de crer un utilisateur Mantis.
    */
    public function CreateMantisUser()
    {
        if(isset($this->szName) &&  isset($this->szMotdePasse) &&  isset($this->szEmail) &&  isset($this->iAccessLevel) &&  isset($this->bProtected) && isset($this->bEnabled) && isset($this->szRealName) && isset($this->szAdminName))
        {
            user_create($this->szName, md5($this->szMotdePasse), $this->szEmail, $this->iAccessLevel, $this->bProtected, $this->bEnabled, $this->szRealName, $this->szAdminName );
        }
        else
        {
            trigger_error( ERROR_MANTISIMPORTUSER_CREATEMANTISUSER_PARAMETERS_NULL, ERROR );
        }
    }
    
    /*! \fn getName()
        \brief Mthode d'accs permettant de retourner l'attribut szName.
    */
    public function getName()
    {
        if(isset($this->szName))
        {
            return($this->szName);
        }
        else
        {
            trigger_error( ERROR_MANTISIMPORTUSER_GETNAME_NAME_NULL, ERROR ); 
        }
    }
    
    /*! \fn setEmail($szEmail) 
        \brief Mthode d'altration permettant d'assigner une valeur  l'attribut $szEmail.
    */
    public function setEmail($szEmail)
    {
        if(isset($szEmail))
        {
            $this->szEmail =  $szEmail;
        }
    }
    
    /*! \fn setAccessLevel($iAccessLevel)  
        \brief Mthode d'altration permettant d'assigner une valeur  l'attribut $szEmail.
    */
    public function setAccessLevel($iAccessLevel)
    {
        if(isset($iAccessLevel))
        {
            $this->iAccessLevel =  $iAccessLevel;
        }
    }
    
    /*! \fn function setPassword($szPassword)  
        \brief Mthode d'altration permettant d'assigner une valeur  l'attribut $szMotdePasse.
    */
    public function setPassword($szPassword)
    {
        if(isset($szPassword))
        {
            $this->szMotdePasse =  $szPassword;
        }
    }
    
    /*! \fn Initialize_Name()
        \brief Mthode permettant de formater le nom de l'utilisateur.
    */
    private function Initialize_Name()
    {
        if(isset($this->szLdapUserName) && isset($this->iNbLetters_Mask_Right) && isset($this->iNbLetters_Mask_Left))
        {  
            $iNbCaractersName = strlen($this->szLdapUserName);
            
             $this->szName = $this->szLdapUserName;
        
            if($this->iNbLetters_Mask_Right > 0 && $this->iNbLetters_Mask_Right < $iNbCaractersName)
            {
                $this->szName =  substr($this->szLdapUserName,0,$iNbCaractersName-$this->iNbLetters_Mask_Right);
            }
            
            if($this->iNbLetters_Mask_Left > 0 && $this->iNbLetters_Mask_Left < $iNbCaractersName)
            {
                $this->szName =  substr($this->szName,$this->iNbLetters_Mask_Left,$iNbCaractersName);
            }
        }
        else
        {
            trigger_error( ERROR_MANTISIMPORTUSER_INITIALIZENAME_PARAMETERS_NULL, ERROR ); 
        }
    }
    
    /*! \fn getAllAccessLevels()
        \brief Mthode statique permettant retourner tous les niveaux d'accs possibles d'un utilisateur.
        \return $AccessLevels Tableau compos de deux tableaux. Le premier tableau contient la liste des noms des diffrents niveaux d'accs. Le deuxime contient la liste des diffrentes valeurs des diffrents niveaux d'accs.
    */
    public static function getAllAccessLevels()
    {
         $szAccessLevel =  config_get('access_levels_enum_string');
         $aBuffer = explode(',',$szAccessLevel);  //retourne false en cas d'erreur.
         
         if($aBuffer != false && is_array($aBuffer))
         {
             for($i=0; $i<count($aBuffer); $i++)
             {
                $aTemp = explode(':',$aBuffer[$i]);
                if($aTemp != false && is_array($aTemp))
                {
                    $aAccessLevelLabel[$i] = $aTemp[1];
                    $aAccessLevelValue[$i] = $aTemp[0];
                }
                else
                {
                    trigger_error( ERROR_MANTISIMPORTUSER_GETALLACCESSLEVELS_EXPLODE_FALSE, ERROR );
                } 
             }
             
             $aAccessLevels[0] = $aAccessLevelLabel;
             $aAccessLevels[1] = $aAccessLevelValue;
             
             return($aAccessLevels);
         }
         else
         {
             trigger_error( ERROR_MANTISIMPORTUSER_GETALLACCESSLEVELS_EXPLODE_FALSE, ERROR );  
         }
    }
}

?>
